﻿namespace ChatRoom;

public class Client
{
    public int id;
    public string name;
    public int strikes = 0;
}

public class ChatRoomState
{
    /// <summary>
	/// Access lock.
	/// </summary>
    public readonly object accessLock = new object();

    /// <summary>
	/// Last unique ID value generated.
	/// </summary>
	public int lastUniqueId;

	public List<Client> clients = new List<Client>();
}
