﻿namespace ChatRoomContract;

public class Message
{
    int id;
    public string contents;
    public bool needsToBeCensored;
}

public interface IChatRoomService
{
    int RegisterClient(string name);

    int GetStrikes(int clientId);

    bool SendMessage(int clientId, string contents);

    Message? GetNewMessage();

    void RejectMessage(int messageId);

    void ApproveMessage(int messageId);
}
